<?php
// +--------------------------------------------------------------------------+
// | Contentteller(R) Professional/Business Edition 2008.1                    |
// +--------------------------------------------------------------------------+
// | Copyright (C) 2002 - 2009 by Esselbach Internet Solutions                |
// | Available from http://www.contentteller.com                              |
// +--------------------------------------------------------------------------+
// | This is a commercial version of Contentteller and not free software.     |
// | You may not redistribute this file or its derivatives without written    |
// | permission.                                                              |
// +--------------------------------------------------------------------------+
// | Contentteller is a registered trademark.                                 |
// +--------------------------------------------------------------------------+
// | Build: 529     Patch: 19                                                 |
// +--------------------------------------------------------------------------+

/**
 * @package Contentteller
 * @subpackage Articles
 * @copyright (C) 2002-2008 Esselbach Internet Solutions
 */

/**
 * function AdminAddArticlePage
 * A function to add a new article page
 * @author Philipp Louis Esselbach
 */
function AdminAppendArticlePage( $notice )
{
	global $database, $html, $security, $system, $preferences, $wysiwyg, $login_username, $words_articles;
	$input_append_page = ( isset( $_POST[ 'input_append_page' ] ) ) ? $system -> stripthis( $_POST[ 'input_append_page' ] ) : "" ;

	$security_hash = $system -> adminhashput();

	if( $input_append_page )
	{
		$input_page = $input_append_page;
		$input_article_pagetitle = "";
		$input_article_pagetext = "";
	}
	else
	{
		$input_article_pagetitle = ( isset( $_POST[ 'input_article_pagetitle' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_pagetitle' ] ) : "" ;
		$input_article_pagetext = ( isset( $_POST[ 'input_article_pagetext' ] ) ) ? $system -> stripthis( $_POST[ 'input_article_pagetext' ] ) : "" ;
		$input_page = ( isset( $_POST[ 'input_zid' ] ) ) ? $system -> stripthis( $_POST[ 'input_zid' ] ) : "" ;
	}

	$input_url_tag = ( isset( $_POST[ 'input_url_tag' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_tag' ] ) : "" ;
	$input_url_get = ( isset( $_POST[ 'input_url_get' ] ) ) ? $system -> stripthis( $_POST[ 'input_url_get' ] ) : "" ;
	$input_dofileedit = ( isset( $_POST[ 'input_dofileedit' ] ) ) ? $system -> stripthis( $_POST[ 'input_dofileedit' ] ) : "" ;
	$input_dopreview = ( isset( $_POST[ 'input_dopreview' ] ) ) ? $system -> stripthis( $_POST[ 'input_dopreview' ] ) : "" ;
	$query = $database -> dbquery( "SELECT a1.article_html, a1.article_smilies, a1.article_code, a2.articlepage_page, a2.articlepage_title FROM " . DB_PREFIX . "esselbach_ct_articles a1, " . DB_PREFIX . "esselbach_ct_articlespages a2 WHERE a2.articlepage_article = a1.article_id AND a2.articlepage_id = '" . $database -> dbescape( $input_page ) . "'" );
	list( $input_html, $input_smilies, $input_blockcode, $input_articlepage, $input_articlepagetitle ) = $database -> dbrow( $query );

	if( $input_articlepagetitle )
	{
		$input_articlepage .= " (" . htmlspecialchars( $input_articlepagetitle ) . ")";
	}

	$html -> makeheader( $words_articles[ 'APPEND_NEW_PAGE_AFTER_PAGE' ] . " " . $input_articlepage );

	if( $preferences[ 'articles_wysiwyg' ] )
	{
		$wysiwyg -> wysiwyginit( "input_article_pagetext" );
	}
	else
	{
		$html -> quickhtmlinit( "newform", "input_article_pagetext", "" );
	}

	$html -> filesinit( "articleattachmentsearch" );
	$html -> articleteaserpreviewinit();
	$html -> makesubheader();
	$html -> makegroupmenu( "articles" );

	if( $input_dofileedit )
	{
		$input_file = explode( "#", $input_dofileedit );
		$input_file = $security -> checknum( $input_file[ 1 ] );
	}
	else
	{
		$input_file = "";
	}

	if( $notice )
	{
		$html -> makeformheadera( $words_articles[ 'NOTICE' ], "newpage", "newform" );
		echo $notice;
		echo "<br /><br /><h2>" . $words_articles[ 'APPEND_NEW_PAGE_AFTER_PAGE' ] . " " . $input_articlepage . "</h2>";
	}
	elseif( $input_dopreview )
	{
		$input_article_parsed = $input_article_pagetext;
		if ( $input_blockcode )
		{
			if ( $input_url_tag )
			{
				$input_article_parsed = preg_replace( "#(^|[\n ])([\w]+?://[^ \"\n\r\t<]*)#is", "\\1[url]\\2[/url]", $input_article_parsed );
			}

			if ( $input_url_get )
			{
				$input_article_parsed = $system -> geturltitles( $input_article_parsed );
			}
		}

		$input_article_parsed = eregi_replace( "\\[attachment=([^\\[]+)\\]([^\\[]*)\\[/attachment\\]", $words_articles[ 'ATTACHMENT_HERE' ], $input_article_parsed );
		$input_article_parsed = eregi_replace( "\\[fullimage=([^\\[]+)\\]", $words_articles[ 'ATTACHMENT_IMG_HERE' ], $input_article_parsed );
		$input_article_parsed = eregi_replace( "\\[thumb=([^\\[]+)\\]", $words_articles[ 'ATTACHMENT_THUMB_HERE' ], $input_article_parsed );

		if( !$input_html )
		{
			$input_article_parsed = $system -> dechomp( $input_article_parsed );
		}

		if( $input_smilies )
		{
			$input_article_parsed = $system -> smilies( $input_article_parsed );
		}

		if( $input_blockcode )
		{
			$input_article_parsed = $system -> code( $input_article_parsed );
		}

		$html -> makeformheadera( $words_articles[ 'PREVIEW' ], "newpage", "newform" );
		echo $system -> fixsmilies( $input_article_parsed );
		echo "<br /><br /><h2>" . $words_articles[ 'APPEND_NEW_PAGE_AFTER_PAGE' ] . " " . $input_articlepage . "</h2>";
	}
	else
	{
		$html -> makeformheadera( $words_articles[ 'APPEND_NEW_PAGE_AFTER_PAGE' ] . " " . $input_articlepage, "newpage", "newform" );
	}

	$html -> uppertext( $words_articles[ 'PAGE_TITLE' ], "input_article_pagetitle", $input_article_pagetitle );

	if( !$preferences[ 'articles_wysiwyg' ] )
	{
		$html -> quickhtml( "" );
	}

	$html -> upperform( $words_articles[ 'PAGE_TEXT' ], "input_article_pagetext", $input_article_pagetext, 25 );

	if( !$preferences[ 'articles_wysiwyg' ] )
	{
		( $input_url_tag ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "<br /><input name=\"input_url_tag\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_articles[ 'ADD_URL_TAG' ] . "</strong><br />";
		( $input_url_get ) ? $checked = " checked=\"checked\"" : $checked = "" ;
		echo "<input name=\"input_url_get\" type=\"checkbox\" value=\"1\"" . $checked . " /> <strong>" . $words_articles[ 'GET_WEBSITE_TITLES' ] . "</strong><br />";
	}

	echo "<input type=\"hidden\" name=\"input_security_hash\" value=\"" . $security_hash . "\" /><input type=\"hidden\" name=\"aform\" value=\"doaddappendarticlepage\" /><input type=\"hidden\" name=\"input_zid\" value=\"" . $input_page . "\" /><input type=\"submit\" name=\"input_dopreview\" value=\"" . $words_articles[ 'PREVIEW' ] . "\" />";

	if( function_exists( "pspell_new" ) )
	{
		echo "<input type=\"submit\" name=\"input_dospellcheck\" value=\"" . $words_articles[ 'SPELLING' ] . "\" />";
	}

	echo "<input type=\"submit\" name=\"input_doaddpage\" value=\"" . $words_articles[ 'ADD_PAGE' ] . "\" />";
	echo "<br /><br /><h2>" . $words_articles[ 'FILE_ATTACHMENTS' ] . "</h2>";
	$html -> tableheader( "", "" );
	$query = $database -> dbquery( "SELECT articlefile_id, articlefile_filename, articlefile_title, articlefile_description, articlefile_mime FROM " . DB_PREFIX . "esselbach_ct_articlesfiles WHERE articlefile_author = '$login_username' AND articlefile_inuse = '0' ORDER BY articlefile_date DESC" );

	while( list( $articlefile_id, $articlefile_filename, $articlefile_title, $articlefile_description, $articlefile_mime ) = $database -> dbrow( $query ) )
	{
		if( ( $articlefile_mime == "image/pjpeg" ) or( $articlefile_mime == "image/jpeg" ) or( $articlefile_mime == "image/gif" ) or( $articlefile_mime == "image/png" ) )
		{
			if( function_exists( "imagecopyresized" ) )
			{
				$mid_link = "<a href=\"javascript:insert('[thumb=" . $articlefile_id . "]')\"><img src=\"index.php?action=articleattachmentpreview&amp;input_fileid=" . $articlefile_id . "\" title=\"" . htmlspecialchars( $articlefile_description ) . "\" alt=\"" . htmlspecialchars( $articlefile_filename ) . "\" /></a><br />";
			}
			else
			{
				$mid_link = "<a href=\"javascript:insert('[thumb=" . $articlefile_id . "]')\">" . htmlspecialchars( $articlefile_filename ) . "</a><br />";
			}

			$mid_link .= "[ <a href=\"javascript:insert('[fullimage=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_FULL_IMAGE' ] . "</a> | <a href=\"javascript:insert('[thumb=" . $articlefile_id . "]')\">" . $words_articles[ 'ADD_AS_THUMBNAIL' ] . "</a> ]<br />";
		}
		else
		{
			$mid_link = "[ <a href=\"javascript:insert('[attachment=$articlefile_id]Download" . $articlefile_filename . "[/attachment]')\">" . $words_articles[ 'ADD_DOWNLOAD' ] . "</a> ]<br />";
		}

		if( $input_file == $articlefile_id )
		{
			$mid_link .= "<textarea cols=\"80\" name=\"input_edittitle\" rows=\"1\" style=\"margin:0px;width:600px\">" . $articlefile_title . "</textarea><br />";
			$mid_link .= "<textarea cols=\"80\" name=\"input_editdescription\" rows=\"2\" style=\"margin:0px;width:600px\">" . $articlefile_description . "</textarea><br />";
			$mid_link .= "<input type=\"hidden\" name=\"input_editid\" value=\"" . $articlefile_id . "\" /><input type=\"submit\" name=\"input_doeditfile\" value=\"" . $words_articles[ 'GO' ] . "\" /><br />";
		}
		else
		{
			$mid_link .= "<strong>" . htmlspecialchars( $articlefile_title ) . "</strong><br />" . htmlspecialchars( $articlefile_description );
		}

		if( $input_file != $articlefile_id )
		{
			$html -> tableamiddle( $articlefile_filename, $mid_link, "input_dofileedit", $words_articles[ 'EDIT_FILE' ] . $articlefile_id, "input_dofileremove", $words_articles[ 'REMOVE_FILE' ] . $articlefile_id );
		}
		else
		{
			$html -> tableamiddle( $articlefile_filename, $mid_link, "input_dofileedit", 0, 0, 0, 0 );
		}
	}

	$html -> maketablefooter();
	echo "<a href=\"javascript:files_win()\">" . $words_articles[ 'SEARCH_FILE_ATTACHMENTS' ] . "</a><br /><br />";
	echo "<strong>" . $words_articles[ 'FILE' ] . ":</strong><br /><input type=\"file\" name=\"input_file\" /><br />";
	$html -> upperform( $words_articles[ 'TITLE' ], "input_file_title", "", 1 );
	$html -> upperform( $words_articles[ 'DESCRIPTION' ], "input_file_description", "", 2 );
	echo "<input type=\"submit\" name=\"input_doupload\" value=\"" . $words_articles[ 'UPLOAD' ] . "\" />";
	$html -> makeformfooter();
}
?>